public class Movie
{
    public static final int REGULAR     = 0;
    public static final int NEW_RELEASE = 1;
    public static final int CHILDRENS   = 2;

    private String title;
    private Price  pricePolicy;

    public Movie( String title, int priceCode )
    {
        this.title = title;
        setPrice( priceCode );
    }

    public int getPrice()
    {
        return pricePolicy.getPrice();
    }

    public void setPrice( int code )
    {
        switch ( code ) {
           case Movie.REGULAR:
               pricePolicy = new RegularPrice();
               break;
            case Movie.NEW_RELEASE:
                pricePolicy = new NewReleasePrice();
                break;
            case Movie.CHILDRENS:
                pricePolicy = new ChildrensPrice();
                break;
        }
    }

    public String getTitle()
    {
        return title;
    }

    public double charge( int daysRented )
    {
        return pricePolicy.charge( daysRented );
    }
}
